Properties Methods Events Direct Link

# Class Ext.tree.TreeFilter

Package: | Ext.tree
Defined In: | TreeFilter.js
Class: | TreeFilter
Extends: | Object

Note this class is experimental and doesn't update the indent (lines) or expand collapse icons of the nodes

## Public Properties

This class has no public properties.

## Public Methods

Method | Defined By
--- | ---

clear() : void
Clears the current filter. Note: with the "remove" option set a filter cannot be cleared.
Clears the current filter. Note: with the "remove" option set a filter cannot be cleared.
Parameters:

- None.

Returns:

- `void`

TreeFilter

filter( `String/RegExp value`, [`String attr`], [`TreeNode startNode`] ) : void
Filter the data by a specific attribute.
Filter the data by a specific attribute.
Parameters:

- `value` : String/RegExp
  Either string that the attribute value should start with or a RegExp to test against the attribute
- `attr` : String
  (optional) The attribute passed in your node's attributes collection. Defaults to "text".
- `startNode` : TreeNode
  (optional) The node to start the filter at.

Returns:

- `void`

TreeFilter

filterBy( `Function fn`, [`Object scope`] ) : void
Filter by a function. The passed function will be called with each node in the tree (or from the startNode). If the ...
Filter by a function. The passed function will be called with each node in the tree (or from the startNode). If the function returns true, the node is kept otherwise it is filtered. If a node is filtered, its children are also filtered.
Parameters:

- `fn` : Function
  The filter function
- `scope` : Object
  (optional) The scope of the function (defaults to the current node)

Returns:

- `void`

TreeFilter

## Public Events

This class has no public events.